# PCLUSetShift

specify whether to use Manteuffel shifting of LU. If an LU factorisation breaks down because of nonpositive pivots, adding sufficient identity to the diagonal will remedy this. Setting this causes a bisection method to find the minimum shift that will lead to a well-defined LU.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCLUSetShift(PC pc,PetscTruth shifting)

### Input parameters

| pc | - the preconditioner context
| shifting | - PETSC_TRUE to set shift else PETSC_FALSE

### Options Database Key

-pc_lu_shift -Activate PCLUSetShift()

### Keywords

PC, indefinite, factorization

### See Also

PCLUSetDamping(), PCILUSetShift()

Level:intermediate
Location:src/ksp/pc/impls/lu/lu.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages